Article ID: 3519, created on Aug 20, 2009, last review on May 1, 2014

  • Applies to:
  • Plesk 8.2 for Linux/Unix

Síntomas

La página de inicio de sesión al Webmail devuelve el siguiente error, en vez de mostrar la página de inicio de sesión:

Fatal error: require_once() [function.require]: Failed opening required 'Horde/String.php' (include_path='/usr/share/psa-horde:/usr/share/psa-horde/pear:.') in /usr/share/psa-horde/lib/Horde/Browser.php on line 4


Causa

La capacidad para modificar el php_admin_value de los scripts PHP ha sido eliminada en PHP 5.2 y Webmail no puede añadir su ruta de acceso de inclusión.

Resolución

Este problema ha sido corregido a partir de Parallels Plesk Panel Plesk 8.3.

Como solución alternativa en las versiones anteriores de Parallels Plesk Panel, Webmail VirtualHost puede copiarse de /etc/httpd/conf.d/zz010_psa_httpd.conf a /etc/httpd/conf.d/webmail.conf y el valor php_admin_value include_path debería cambiarse a lo siguiente en el archivo nuevo:

php_admin_value include_path "/usr/share/psa-horde/lib:/usr/share/psa-horde:/usr/share/psa-horde/pear:."

Una vez hecho esto, reinicie Apache.

b8ef5052d936e902043e41759118114e 29d1e90fd304f01e6420fbe60f66f838 a914db3fdc7a53ddcfd1b2db8f5a1b9c 583c136e45a1f548d12213fea9b7833d 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF